Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-30095

Make 1.586 the minimum version?

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Looks like that's when jna 4.1.0 was added to core?
      https://issues.jenkins-ci.org/browse/JENKINS-24521

      I was seeing something similar to this when trying to run on 1.580.1:

      java.lang.NoSuchMethodError: com.sun.jna.Pointer.getWideString(J)Ljava/lang/String;
              at com.sun.jna.platform.win32.Advapi32Util.convertSidToStringSid(Advapi32Util.java:269)
              at com.sun.jna.platform.win32.Advapi32Util.getAccountBySid(Advapi32Util.java:252)
      

      Once I upgraded it went away.

        Attachments

          Activity

          Hide
          farmgeek4life Bryson Gibbons added a comment -

          code change committed, will be pushed shortly

          Show
          farmgeek4life Bryson Gibbons added a comment - code change committed, will be pushed shortly
          Hide
          scm_issue_link SCM/JIRA link daemon added a comment -

          Code changed in jenkins
          User: FarmGeek4Life
          Path:
          pom.xml
          http://jenkins-ci.org/commit/negotiate-sso-plugin/e2aadda93a73ae2957d8797481610dc466238c31
          Log:
          [FIXED JENKINS-30095] Make 1.586 the minimum version

          Show
          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: FarmGeek4Life Path: pom.xml http://jenkins-ci.org/commit/negotiate-sso-plugin/e2aadda93a73ae2957d8797481610dc466238c31 Log: [FIXED JENKINS-30095] Make 1.586 the minimum version

            People

            Assignee:
            farmgeek4life Bryson Gibbons
            Reporter:
            pmv pmv
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: